<mvc:View controllerName="sap.apf.modeler.ui.controller.applicationList"
	xmlns:mvc="sap.ui.core.mvc" xmlns="sap.m" class="sapUiSizeCompact">
	<App xmlns="sap.m" id="applicationList" height="100%" width="100%"
		backgroundRepeat="false" backgroundOpacity="1">
		<Page id="idAppPage" showNavButton="true" enableScrolling="false"
			navButtonType="Back" navButtonPress="handleNavBack">
			<content>
				<VBox xmlns="sap.m" id="idAppLayout">
					<items>
						<Panel width="auto">
							<HBox xmlns="sap.m" alignItems="Start" justifyContent="SpaceBetween">
								<items>
									<Label xmlns="sap.m" id="idAppTitle" class="applicationTitle"/>
								</items>
							</HBox>
						</Panel>
						<Toolbar id="idApplicationToolbar" class="applicationTitleLayout">
							<content>
								<Label xmlns="sap.m" id="idAppNumberTitle" class="appCountLabel"></Label>
								<Label xmlns="sap.m" id="idAppCount" class="applicationCount"></Label>
							<ToolbarSpacer/>
								<SearchField liveChange="onSearch" id="idApplicationListSearchField" width="300px" class="sapUiSmallMarginEnd"/>
								<Button xmlns="sap.m" id="idNewButton"
									type="Transparent" press="handleAddNewAppPress" class="newButton" />
								<Button xmlns="sap.m" id="idImportButton" type="Transparent" press="handleImportPress"/>
							</content>
						</Toolbar>
						<ScrollContainer xmlns="sap.m" id="idAppListScrollContainer"
							class="applicationListScroll" width="100%" horizontal="true"
							vertical="true">
							<Table xmlns="sap.m" id="idApplicationTable" inset="false"
								rememberSelections="true" mode="None"
								items="{/Objects}"
								itemPress="handleListItemPress">
								<columns>
									<Column>
										<Label xmlns="sap.m" id="idDescriptionLabel" />
									</Column>
									<Column id="idSemanticObjectColumn">
										<Label xmlns="sap.m" id="idSemanticObjectLabel" />
									</Column>
									<Column id="idTextpoolCleanupColumn" width="3%">
										<Label xmlns="sap.m" text=""/>
									</Column>
									<Column id="idEditColumn" width="3%">
										<Label xmlns="sap.m" text=""/>
									</Column>
									<Column xmlns="sap.m" width="3%" demandPopin="true">
										<Label text="" />
									</Column>
								</columns>
								<items>
									<ColumnListItem type="Navigation" vAlign="Middle">
										<cells>
											<Text xmlns="sap.m" id="idAppDescription" text="{description}"/>
											<Text xmlns="sap.m" id="idSemanticObject" text="{semanticObject}"/>
											<Button id="idTextpoolCleanupIcon" icon="sap-icon://attachment-text-file"
												press="handleTextpoolCleanupPress" type="Transparent"
												aria-describedby="idAriaPropertyForTextpoolCleanup"></Button>
											<Button id="idEditIcon" icon="sap-icon://edit" 
												press="handleEditPress" type="Transparent"
												aria-describedby="idAriaPropertyForEdit"></Button>
											<Button id="idDeleteIcon" icon="sap-icon://delete"
												press="handleDeletePress" type="Transparent"
												aria-describedby="idAriaPropertyForDelete"></Button>
										</cells>
									</ColumnListItem>
								</items>
							</Table>
						</ScrollContainer>
					</items>
				</VBox>
				<InvisibleText xmlns="sap.ui.core" id="idAriaPropertyForEdit" />
				<InvisibleText xmlns="sap.ui.core" id="idAriaPropertyForDelete" />
				<InvisibleText xmlns="sap.ui.core" id="idAriaPropertyForTextpoolCleanup" />
			</content>
		</Page>
	</App>
</mvc:View>